import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Class from ammo in game
 * 
 * @Alberto Milan
 * @v1.0
 */
public class Ammo  extends Actor
{
    final static int DER=0;
    final static int IZQ=1;
    final static int ARR=2;
    final static int ABA=3;
    final static int MO=100;
    final static int WB=25;
    /**
     * Act - do whatever the Ammo wants to do. This method is called whenever
     */
    public void act() 
    {
        
    }    
    /**
     * Define the direction of the snow ball
     * @param dir to move DER-right, IZQ-left,ARR-up, ABA-down
     */
    public void go(int dir)
    {
        int x = getX();
        int y = getY();
        int i = 0;
        
         switch(dir){
             case   DER :  for(i=0 ; i < 4 ; i++){                                                        
                            setLocation(x+i,y);
                            if(canSee(SpiderWeb.class)){
                                ((SnowWorld)getWorld()).raiseScore(WB);
                                eat(SpiderWeb.class);
                            }
                            if(canSee(Mobs.class)){
                                ((SnowWorld)getWorld()).raiseScore(MO);
                                eat(Mobs.class);
                            }
                             //Greenfoot.delay(1);                            
                           }
                           break;            
             case   IZQ :  for(i=0 ; i < 4 ; i++){
                            setLocation(x-i,y);                                                        
                            if(canSee(SpiderWeb.class)){
                                ((SnowWorld)getWorld()).raiseScore(WB);
                                eat(SpiderWeb.class);
                            }
                            if(canSee(Mobs.class)){
                                ((SnowWorld)getWorld()).raiseScore(MO);
                                eat(Mobs.class);
                            }
                             //Greenfoot.delay(1);
                            
                           }

                           break;
             case   ARR :  for(i=0 ; i < 4 ; i++){
                            setLocation(x,y-i);
                            if(canSee(SpiderWeb.class)){
                                ((SnowWorld)getWorld()).raiseScore(WB);
                                eat(SpiderWeb.class);
                            }
                            if(canSee(Mobs.class)){
                                ((SnowWorld)getWorld()).raiseScore(MO);
                                eat(Mobs.class);
                            }
                             //Greenfoot.delay(1);
                           }

                           break;             
             case   ABA :  for(i=0 ; i < 4 ; i++){
                            setLocation(x,y+i);
                            if(canSee(SpiderWeb.class)){
                                ((SnowWorld)getWorld()).raiseScore(WB);
                                eat(SpiderWeb.class);
                            }
                            if(canSee(Mobs.class)){
                                ((SnowWorld)getWorld()).raiseScore(MO);
                                eat(Mobs.class);
                            }
                             //Greenfoot.delay(1);
                           }
                           break;
            }
            Greenfoot.delay(1);
        getWorld().removeObject(this);
    }
    /**
     * If a object it on see range
     * @return true if is, false isn't
     */
    public boolean canSee(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        return actor != null;        
    }

    
    /**
     * Try to eat an object of class 'clss'. This is only successful if there
     * is such an object where we currently are. Otherwise this method does
     * nothing.
     * @param clss type to eat
     */
    public void eat(Class clss)
    {
        Actor actor = getOneObjectAtOffset(0, 0, clss);
        if(actor != null) {
            getWorld().removeObject(actor);
        }
    }
    
}
