import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * class Button
 * 
 * @Alberto Milan 
 * @1.0v
 */
public class Button  extends Actor
{
    private SnowWorld w;
    /**
     * Act method
     */
    public void act() 
    {
    }
    /**
     * Constructor from button class
     * @param world of the scenario
     */    
    public Button(SnowWorld world)
    {
        w = world;
    }
    /**
     * Method help, call the help method of the world
     */      
    public void help()
    {
       w.help();
    }
    /**
     * Method play, call the play method of the world
     */ 
    public void play()
    {
       w.play();
    }
    /**
     * Method about, call the about method of the world
     */
    public void about()
    {
        w.about();
    }
    /**
     * Method back, call the backMain method of the world
     */ 
    public void back()
    {
       w.backMain();
    }   
}
