import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;
/**
 * class Lifes
 * 
 * @author Alberto Milan
 * @version 1.0v
 */
public class Lifes  extends Info
{
    private int lif;
    /**
     * Act method, update and repaints the lifes
     */
    public void act() 
    {
        update();
        draw();
    }    
    /**
     * Methos that take the info of world to update
     */
    public void update()
    {
        lif = ((SnowWorld)getWorld()).getLifes();
    }
    /**
     * Draw the rectangle with the lifes
     */
    private void draw()
    {
        GreenfootImage image = new GreenfootImage(50,40);
        Font font = image.getFont();
        font = font.deriveFont(new Float(28));
        font = font.deriveFont(Font.ITALIC);
        font = font.deriveFont(Font.BOLD);
        image.setFont(font);
        image.setColor(Color.BLUE);
        image.drawString(""+ lif, 15, 20);
        setImage(image);
    }
}
