import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * class Lock
 * 
 * @Alberto Milan
 * @1.0v
 */
public class Lock  extends Goal
{
    private int currLv;
    /**
     * Constructor of class
     */
    public Lock()
    {
        currLv = 1;
    }
    /**
     * Constructor of class
     * @param lv to paint scenario
     */
    public Lock(int lv)
    {
        currLv = lv;
    }
    /**
     * Act method, check if the heart has been reached, and paint the next lv
     */
    public void act() 
    {
        super.act();
        if(band){
            setImage("Heart.png");
            currLv++;
            Greenfoot.delay(10);
            getWorld().addObject(new Kiss(),22,15);
            Greenfoot.delay(20);
            if(currLv == 10){
                getWorld().addObject(new Tablet(((SnowWorld)getWorld()).getScore()),22,15);
                Greenfoot.delay(5);
                do{}while(!Greenfoot.isKeyDown("enter"));
                ((SnowWorld)getWorld()).resetData();
                ((SnowWorld)getWorld()).main();
            }
            switch(currLv){
                
            case 2: ((SnowWorld)getWorld()).dibujaLv2();
                    break;
            case 3: ((SnowWorld)getWorld()).dibujaLv3();
                    break;
            case 4: ((SnowWorld)getWorld()).dibujaLv4();
                    break;
            case 5: ((SnowWorld)getWorld()).dibujaLv5();
                    break;
            case 6: ((SnowWorld)getWorld()).dibujaLv6();
                    break;
            case 7: ((SnowWorld)getWorld()).dibujaLv7();
                    break;
            case 8: ((SnowWorld)getWorld()).dibujaLv8();
                    break;
            case 9: ((SnowWorld)getWorld()).dibujaLv9();
                    break;
            
                }
        }
    }
    /**
     * This method repaint the current lv to start over again
     */
    public void restartLv()
    {
        switch(currLv){
            case 1: ((SnowWorld)getWorld()).dibujaLv1();
                    break;
                
            case 2: ((SnowWorld)getWorld()).dibujaLv2();
                    break;
                    
            case 3: ((SnowWorld)getWorld()).dibujaLv3();
                    break;
          
            case 4: ((SnowWorld)getWorld()).dibujaLv4();
                    break;
            
            case 5: ((SnowWorld)getWorld()).dibujaLv5();
                    break;
                    
            case 6: ((SnowWorld)getWorld()).dibujaLv6();
                    break;
                    
            case 7: ((SnowWorld)getWorld()).dibujaLv7();
                    break;
                    
            case 8: ((SnowWorld)getWorld()).dibujaLv8();
                    break;
                    
            case 9: ((SnowWorld)getWorld()).dibujaLv9();
                    break;                    
                }
    }
    /**
     * @return the current level 
     */
    public int whatLv()
    {
        return currLv;
    }
}
