import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.awt.Font;
import java.awt.Color;
/**
 * class Score
 * 
 * @author Alberto Milan
 * @version 1.0v
 */
public class Score  extends Info
{
    private int sc;
    /**
     * Act method, update and repaints the score
     */
    public void act() 
    {
        update();
        draw();
    }    
    /**
     * Methos that take the info of world to update
     */ 
    public void update()
    {
        //lif = ((SnowWorld).getWorld()).getLifes();
        sc = ((SnowWorld)getWorld()).getScore();
    }
     /**
     * Draw the rectangle with the score
     */
    private void draw()
    {
        GreenfootImage image = new GreenfootImage(50,40);
        Font font = image.getFont();
        font = font.deriveFont(new Float(20));
        font = font.deriveFont(Font.ITALIC);
        font = font.deriveFont(Font.BOLD);
        image.setFont(font);
        image.setColor(Color.BLUE);
        image.drawString(""+ sc, 0, 20);
        setImage(image);
    }
}
